%errorA = ForceRequiredAddOn("Weapon_Sword");

if(%errorA == $Error::AddOn_NotFound)
   error("ERROR: Player_Dragons - required add-on Weapon_Sword not found");
   
//else
//{

exec("./Effects.cs");
exec("./Item_Dragonbreath.cs");
exec("./Item_Fireball.cs");
exec("./Item_FireBarrage.cs");
exec("./Weapon_Ldragon_melee.cs"); 
exec("./Player_AirDragon.cs"); 
exec("./Player_LandDragon.cs"); 
//exec("./Player_SwiftDragon.cs"); 

package DragonPermaItemsPackage
{
	function Armor::onNewDatablock(%this,%obj)
	{
		parent::onNewDatablock(%this,%obj);
		if(%obj.getDatablock().getName() $= "LandDragonArmor")
		{
			
			//Example one
			%obj.tool[5] = LdragonMeleeItem.getID();
			messageClient(%obj.client,'MsgItemPickup','',5,LdragonMeleeItem.getID());
			
			//Example numbero two
//			%obj.tool[4] = AkimboGunItem.getID();
//			messageClient(%obj.client,'MsgItemPickup','',4,AkimboGunItem.getID());
		}
	}
	function GameConnection::spawnPlayer(%this)
	{
		Parent::spawnPlayer(%this);
		if(%this.player.getDatablock().getName() $= "LandDragonArmor")
		{
			//Example one//
			%this.player.tool[5] = LdragonMeleeItem.getID();
			messageClient(%this,'MsgItemPickup','',5,LdragonMeleeItem.getID());
			
			//Example numbero two//
//			%this.player.tool[4] = AkimboGunItem.getID();
//			messageClient(%this,'MsgItemPickup','',4,AkimboGunItem.getID());
		}
	}
};

activatePackage(DragonPermaItemsPackage);

//}
